import { Component, type VNode } from 'inferno';
import { type TLoaderData } from './Router';
export interface IBrowserRouterProps {
    initialData?: Record<string, TLoaderData>;
    basename?: string;
    forceRefresh?: boolean;
    keyLength?: number;
    children: Array<Component<any, any>>;
}
export declare class BrowserRouter extends Component<IBrowserRouterProps, any> {
    history: any;
    constructor(props?: IBrowserRouterProps, context?: any);
    render(): VNode;
}
