import { Component, type VNode } from 'inferno';
import { type TLoaderData } from './Router';
export interface IMemoryRouterProps {
    initialEntries?: string[];
    initialIndex?: number;
    initialData?: Record<string, TLoaderData>;
    keyLength?: number;
    children: Array<Component<any, any>>;
}
export declare class MemoryRouter extends Component<IMemoryRouterProps, any> {
    history: any;
    constructor(props?: IMemoryRouterProps, context?: any);
    render(): VNode;
}
