import { type Component, type ComponentType, type ForwardRef, type Ref } from 'inferno';
import { type RouteComponentProps } from './Route';
interface IWithRouterProps {
    wrappedComponentRef?: Ref | null;
}
/**
 * A public higher-order component to access the imperative API
 */
export declare function withRouter<P extends RouteComponentProps<any> & IWithRouterProps>(Com: Function | ComponentType<P> | Component<P, any> | ForwardRef<P, any>): any;
export {};
