import { Component, type InfernoNode } from 'inferno';
import { type Location } from 'history';
export interface RedirectProps {
    from?: string;
    to: string | Partial<Location>;
    exact?: any;
    push?: boolean;
}
export declare class Redirect extends Component<RedirectProps, any> {
    isStatic(): boolean;
    componentWillMount(): void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    perform(): void;
    render(): InfernoNode;
}
