import { Component, type VNode } from 'inferno';
import { type IRouteProps, type Match } from './Route';
import { type RouterContext } from './Router';
interface SwitchState {
    match: Match<any> | null;
    _child: any;
}
export declare class Switch extends Component<IRouteProps, SwitchState> {
    constructor(props: any, context: RouterContext);
    componentWillReceiveProps(nextProps: IRouteProps, nextContext: RouterContext): void;
    render({ children, location }: IRouteProps, { match, _child }: SwitchState, context: RouterContext): VNode | null;
}
export {};
